[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

yum upgrade F7-f8 dependency check never ending(loop)



Hi,
for my F7 system, after I run "yum update"/"yum clean all", then I issue
the following command:

#rpm -Uhv
http://mirror.anl.gov/pub/fedora/linux/releases/8/Fedora/i386/os/Packages/fedora-release-8-3.noarch.rpm  http://mirror.anl.gov/pub/fedora/linux/releases/8/Fedora/i386/os/Packages/fedora-release-notes-8.0.0-3.noarch.rpm

which succeed.

but when I issue the followng command again:
----------------------- 
#yum -y update
-----------------------
after sometime, the dependency check never end, I looked at the out put
message closely , found that it enters a loop as following:

--------------------------------------------
--> Running transaction check
---> Package ffmpeg-libs.i386 0:0.4.9-0.41.20071011.lvn8 set to be
updated
--> Processing Dependency: libx264.so.56 for package: ffmpeg-libs
--> Processing Dependency: faad2 = 1:2.0 for package: ffmpeg-libs
---> Package yelp.i386 0:2.20.0-2.fc8 set to be updated
--> Processing Dependency: gecko-libs = 1.8.1.8 for package: yelp
--> Processing Dependency: compiz = 0.5.2 for package:
compiz-fusion-plugins-extra
--> Processing Dependency: compiz = 0.5.2 for package:
compiz-fusion-plugins-main
--> Processing Dependency: compiz = 0.5.2 for package: fusion-icon
--> Processing Dependency: compiz = 0.5.2-0.1.fc7 for package:
compiz-gnome
---> Package devhelp.i386 0:0.16.1-2.fc8 set to be updated
--> Processing Dependency: gecko-libs = 1.8.1.8 for package: devhelp
--> Running transaction check
---> Package ffmpeg-libs.i386 0:0.4.9-0.41.20071011.lvn8 set to be
updated
--> Processing Dependency: libx264.so.56 for package: ffmpeg-libs
--> Processing Dependency: faad2 = 1:2.0 for package: ffmpeg-libs
---> Package yelp.i386 0:2.20.0-2.fc8 set to be updated
--> Processing Dependency: gecko-libs = 1.8.1.8 for package: yelp
--> Processing Dependency: compiz = 0.5.2 for package:
compiz-fusion-plugins-extra
--> Processing Dependency: compiz = 0.5.2 for package:
compiz-fusion-plugins-main
--> Processing Dependency: compiz = 0.5.2 for package: fusion-icon
--> Processing Dependency: compiz = 0.5.2-0.1.fc7 for package:
compiz-gnome
---> Package devhelp.i386 0:0.16.1-2.fc8 set to be updated
--> Processing Dependency: gecko-libs = 1.8.1.8 for package: devhelp
--> Running transaction check
---> Package ffmpeg-libs.i386 0:0.4.9-0.41.20071011.lvn8 set to be
updated
--> Processing Dependency: libx264.so.56 for package: ffmpeg-libs
--> Processing Dependency: faad2 = 1:2.0 for package: ffmpeg-libs
---> Package yelp.i386 0:2.20.0-2.fc8 set to be updated
--> Processing Dependency: gecko-libs = 1.8.1.8 for package: yelp
--> Processing Dependency: compiz = 0.5.2 for package:
compiz-fusion-plugins-extra
--> Processing Dependency: compiz = 0.5.2 for package:
compiz-fusion-plugins-main
--> Processing Dependency: compiz = 0.5.2 for package: fusion-icon
--> Processing Dependency: compiz = 0.5.2-0.1.fc7 for package:
compiz-gnome
---> Package devhelp.i386 0:0.16.1-2.fc8 set to be updated
--> Processing Dependency: gecko-libs = 1.8.1.8 for package: devhelp
--> Running transaction check
---> Package ffmpeg-libs.i386 0:0.4.9-0.41.20071011.lvn8 set to be
updated
-----------------------------------------------------------

how to resolve this issue?
Thanks for your help!
Br,

Zhu



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]